/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class ShopGearItem
    {
        public const string URL = "ui://hxr7rc7poome9";

        public GImage bacl_full;
        public GImage select;
        public GImage bacl_bottom;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            bacl_full = (GImage)GetChild("bacl_full");
            select = (GImage)GetChild("select");
            bacl_bottom = (GImage)GetChild("bacl_bottom");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}